<?php include(TEMPLATEPATH."/config.inc.php");?>

<div id="rightcolumn">

<ul class="sidebar">

<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Right Sidebar') ) : ?>

    <li class="widget">
    <h2>Recent Posts</h2>
      <?php rewind_posts(); ?>
      <ul id="recent">
        <?php $my_query = new WP_Query('showposts=10&offset=1&cat=-'.$exc1.',-'.$exc2.''); ?>
        <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
        <li><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
          <?php the_title(); ?>
          </a> </li>
        <?php endwhile; ?>
      </ul>
    </li>

    <li class="widget">
    <h2>Categories</h2>
    <ul id="categories">
      <?php wp_list_categories('title_li='); ?>
    </ul>
    </li>

    <li class="widget">
    <h2>Recent Comments</h2>
		<ul id="recentcomments">
		<?php
				global $wpdb;
				$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
				comment_post_ID, comment_author, comment_date, comment_approved,
				comment_type,comment_author_url,
				SUBSTRING(comment_content,1,90) AS com_excerpt
				FROM $wpdb->comments
				LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
				$wpdb->posts.ID)
				WHERE comment_approved = '1' 
				ORDER BY comment_date DESC
				LIMIT 8";
				$comments = $wpdb->get_results($sql);
				$output = $pre_HTML;
				foreach ($comments as $comment) {
				$output .= "\n<li><a href=\"" . get_permalink($comment->ID) .
				"#comment-" . $comment->comment_ID . "\" title=\"on " .
				$comment->post_title . "\">" .strip_tags($comment->com_excerpt).
				"...</a><br/>" . "<span class='comsubline'>Said 
				<span class='avtor'>".$comment->comment_author."</span> 
				on ".strip_tags($comment->comment_date)."</span></li>";
				}
				$output .= $post_HTML;
				echo $output; ?>
    	</ul>
    </li>
    
    <?php endif; ?>
  </ul>
  <!-- end #sidebar -->
  
</div>
<!-- end #rightcolumn -->


<div class="sidebar_left">

<ul class="sidebar">

<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Left Sidebar') ) : ?>

    <li class="widget">
    <h2>Categories</h2>
		<ul>
			<?php wp_list_cats("sort_column=name&optioncount=0&hierarchical=0"); ?>
		</ul>
    </li>
    
    <li class="widget">
    <h2>Calendar</h2>
	    <ul id="calendar_wrap">
			<li><?php get_calendar(daylength); ?></li>
		</ul>
	</li>
    
    <?php endif; ?>
  </ul>

</div>